Subject: Re: [RFC 2/2] Add Git-aware CGI for Git-aware smart HTTP transport

From: "H. Peter Anvin" <[email-masked]>
Date: Mon, 04 Aug 2008 19:02:13 -0700

Shawn O. Pearce wrote:
> 
> I guess we need to ask client implementations to honor a redirect
> on the first request and reuse that new base URL for all subsequent
> requests that are part of the same "operation".  Then server farms
> can issue a redirect to a server-specific hostname if a client
> comes in with a round-robin DNS hostname, thus ensuring that for
> this current operation there isn't skew.
> 

Either that, or you can pass a "chase URL" in the payload of the 
request... it's more or less the same concept.

	-hpa